From 53dab3ab7ce2b246bb3e98544bc674e38bd5f38f Mon Sep 17 00:00:00 2001
From: Aswath Govindraju <a-govindraju@ti.com>
Date: Fri, 18 Jun 2021 18:42:17 +0530
Subject: [PATCH] HACK: arm64: dts: k3-am654-base-board: Workaround to add
 support for reboot command

Linux reboot command fails on AM654, because of a board issue while
switching voltages for MMC UHS modes. A workaround is to disable UHS modes
and remove the vmmc supply control to MMC controller.

Therefore, add no-1-8-v tag and delete vmmc-supply property in sdhci1
device tree node.

Signed-off-by: Aswath Govindraju <a-govindraju@ti.com>
---
 arch/arm64/boot/dts/ti/k3-am654-base-board.dts | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/arch/arm64/boot/dts/ti/k3-am654-base-board.dts b/arch/arm64/boot/dts/ti/k3-am654-base-board.dts
index 885f28180b1a..35732f28fbcf 100644
--- a/arch/arm64/boot/dts/ti/k3-am654-base-board.dts
+++ b/arch/arm64/boot/dts/ti/k3-am654-base-board.dts
@@ -461,11 +461,11 @@
 };
 
 &sdhci1 {
-	vmmc-supply = <&vdd_mmc1_sd>;
 	pinctrl-names = "default";
 	pinctrl-0 = <&main_mmc1_pins_default>;
 	ti,driver-strength-ohm = <50>;
 	disable-wp;
+	no-1-8-v;
 };
 
 &dwc3_1 {
-- 
2.17.1

